<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwAccessControl: User-manipulation functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwAccessControl
   &#160;<span id="projectnumber">8.4.4</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('group__UserFunctions.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">User-manipulation functions<div class="ingroups"><a class="el" href="group__API.html">Access Control library</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">User-related functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrp904cff30b725b719f41854bade72390a"></a>see also the module <a class="el" href="group__UserFunctions.html">User manipulation functions</a> </p>
</td></tr>
<tr class="memitem:ga5ccdb5884faa34ca139790cad1cabdd9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga5ccdb5884faa34ca139790cad1cabdd9">fwAccessControl_getAllUsers</a> (dyn_string &amp;userlist, dyn_string &amp;fullUserNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga5ccdb5884faa34ca139790cad1cabdd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b82b44383c2a578a58945021f0d50ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga5b82b44383c2a578a58945021f0d50ec">fwAccessControl_getUser</a> (string userName, string &amp;userFullName, string &amp;description, int &amp;userId, bool &amp;enabled, dyn_string &amp;groupNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga5b82b44383c2a578a58945021f0d50ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7dde8c4cb2e0dff6be63558c063350cd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga7dde8c4cb2e0dff6be63558c063350cd">fwAccessControl_deleteUser</a> (string userName, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga7dde8c4cb2e0dff6be63558c063350cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7ad41ae09a57881b0e2ab324d6810f0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga7ad41ae09a57881b0e2ab324d6810f0e">fwAccessControl_createUser</a> (string userName, string userFullName, string userComment, bool enabled, string password, dyn_string groupMembership, dyn_string &amp;exceptionInfo, int userId=-1, bool passwordAlreadyCrypted=FALSE, bool localAccount=FALSE) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga7ad41ae09a57881b0e2ab324d6810f0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga083bf8249120c8883deb84d8c51ca1cf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga083bf8249120c8883deb84d8c51ca1cf">fwAccessControl_isUserAccountLocal</a> (string userName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga083bf8249120c8883deb84d8c51ca1cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc8ae2cb6b00b393031ff5ed67815fa5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#gacc8ae2cb6b00b393031ff5ed67815fa5">fwAccessControl_getUserRoles</a> (string userName, dyn_string &amp;userRoles, dyn_int &amp;roleLevels, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gacc8ae2cb6b00b393031ff5ed67815fa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga61cd60f644761f20ef7e3d5696a7fc50"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga61cd60f644761f20ef7e3d5696a7fc50">fwAccessControl_updateUser</a> (string userName, string newUserName, string userFullName, string userComment, bool enabled, string password, dyn_string groupMembership, dyn_string &amp;exceptionInfo, bool passwordAlreadyCrypted=FALSE, bool localAccount=FALSE) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga61cd60f644761f20ef7e3d5696a7fc50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf73f1cabc78ae8e420716078b573dc65"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#gaf73f1cabc78ae8e420716078b573dc65">fwAccessControl_enableUserAccount</a> (string userName, bool enabled, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:gaf73f1cabc78ae8e420716078b573dc65"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga5ccdb5884faa34ca139790cad1cabdd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5ccdb5884faa34ca139790cad1cabdd9">&#9670;&nbsp;</a></span>fwAccessControl_getAllUsers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_getAllUsers </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>userlist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>fullUserNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>get the list of all users </p>

</div>
</div>
<a id="ga5b82b44383c2a578a58945021f0d50ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5b82b44383c2a578a58945021f0d50ec">&#9670;&nbsp;</a></span>fwAccessControl_getUser()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_getUser </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>userFullName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>description</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>userId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>enabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>groupNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>get details concerning a user </p>

</div>
</div>
<a id="ga7dde8c4cb2e0dff6be63558c063350cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7dde8c4cb2e0dff6be63558c063350cd">&#9670;&nbsp;</a></span>fwAccessControl_deleteUser()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_deleteUser </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>delete a user </p>

</div>
</div>
<a id="ga7ad41ae09a57881b0e2ab324d6810f0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7ad41ae09a57881b0e2ab324d6810f0e">&#9670;&nbsp;</a></span>fwAccessControl_createUser()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_createUser </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userFullName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userComment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>password</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>groupMembership</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>userId</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>passwordAlreadyCrypted</em> = <code>FALSE</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>localAccount</em> = <code>FALSE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>creates new user </p>

</div>
</div>
<a id="ga083bf8249120c8883deb84d8c51ca1cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga083bf8249120c8883deb84d8c51ca1cf">&#9670;&nbsp;</a></span>fwAccessControl_isUserAccountLocal()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwAccessControl_isUserAccountLocal </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Checks if specified user account is local only </p>

</div>
</div>
<a id="gacc8ae2cb6b00b393031ff5ed67815fa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacc8ae2cb6b00b393031ff5ed67815fa5">&#9670;&nbsp;</a></span>fwAccessControl_getUserRoles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_getUserRoles </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>userRoles</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>roleLevels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>returns user's roles (groups)</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">userName</td><td>the name of the user for whom the roles are queried; if empty string is passed, the current user will be assumed </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">userRoles</td><td>will contain the list of roles for the user, i.e. the list of groups to which the user belongs </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">roleLevels</td><td>will contain "privilege levels" associated with roles returned in userRoles; it is assumed that these privilege levels are stored in the "Comment" field of the group, as integers.</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">exceptionInfo</td><td>standard exception handling variable; </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga61cd60f644761f20ef7e3d5696a7fc50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga61cd60f644761f20ef7e3d5696a7fc50">&#9670;&nbsp;</a></span>fwAccessControl_updateUser()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_updateUser </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>newUserName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userFullName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userComment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>password</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>groupMembership</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>passwordAlreadyCrypted</em> = <code>FALSE</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>localAccount</em> = <code>FALSE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>modifies a user </p>

</div>
</div>
<a id="gaf73f1cabc78ae8e420716078b573dc65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf73f1cabc78ae8e420716078b573dc65">&#9670;&nbsp;</a></span>fwAccessControl_enableUserAccount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_enableUserAccount </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Enables/disables user account</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">userName</td><td>the name of the user </td></tr>
    <tr><td class="paramname">enabled</td><td>indicates whether the account should be enabled or disabled </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standars exception handlin variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
